> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Inference Router Openrouter 모델

> OpenRouter와 함께 사용할 수 있는 모델 목록을 반환합니다.

이 API는 인증 없이 사용할 수 있습니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json get /inference/router/openrouter/models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /inference/router/openrouter/models:
    get:
      tags:
        - Inference
      summary: Inference Router Openrouter 모델
      description: |-
        OpenRouter와 함께 사용할 수 있는 모델 목록을 반환합니다.

        이 API는 인증 없이 사용할 수 있습니다.
      operationId: >-
        inference_router_openrouter_models_inference_router_openrouter_models_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterOpenRouterModelsRes'
          description: 성공적인 응답
components:
  schemas:
    RouterOpenRouterModelsRes:
      properties:
        data:
          items:
            $ref: '#/components/schemas/RouterOpenRouterModel'
          title: Data
          type: array
      required:
        - data
      title: RouterOpenRouterModelsRes
      type: object
    RouterOpenRouterModel:
      properties:
        context_length:
          title: Context Length
          type: integer
        created:
          title: Created
          type: integer
        datacenters:
          items:
            $ref: '#/components/schemas/Datacenter'
          title: Datacenters
          type: array
        deprecation_date:
          anyOf:
            - type: string
            - type: 'null'
          description: 모델이 사용 중단되는 날짜(YYYY-MM-DD)입니다. 설정되지 않은 경우 출력에 포함되지 않습니다.
          title: Deprecation Date
        hugging_face_id:
          title: Hugging Face Id
          type: string
        id:
          title: Id
          type: string
        input_modalities:
          items:
            type: string
          title: Input Modalities
          type: array
        max_output_length:
          title: Max Output Length
          type: integer
        name:
          title: Name
          type: string
        output_modalities:
          items:
            type: string
          title: Output Modalities
          type: array
        pricing:
          $ref: '#/components/schemas/Pricing'
        quantization:
          enum:
            - int4
            - int8
            - fp4
            - fp6
            - fp8
            - fp16
            - bf16
            - fp32
          title: Quantization
          type: string
        supported_features:
          items:
            enum:
              - tools
              - json_mode
              - structured_outputs
              - web_search
              - reasoning
            type: string
          title: Supported Features
          type: array
        supported_sampling_parameters:
          items:
            enum:
              - temperature
              - top_p
              - top_k
              - repetition_penalty
              - frequency_penalty
              - presence_penalty
              - stop
              - seed
            type: string
          title: Supported Sampling Parameters
          type: array
      required:
        - id
        - hugging_face_id
        - name
        - created
        - input_modalities
        - output_modalities
        - quantization
        - context_length
        - max_output_length
        - pricing
        - supported_sampling_parameters
        - supported_features
        - datacenters
      title: RouterOpenRouterModel
      type: object
    Datacenter:
      properties:
        country_code:
          title: Country Code
          type: string
      required:
        - country_code
      title: Datacenter
      type: object
    Pricing:
      description: |-
        모든 가격 값은 토큰 1개당 USD 기준입니다.

        부동소수점 정밀도 문제를 방지하기 위해 가격 필드는 문자열 형식입니다.
      properties:
        completion:
          title: Completion
          type: string
        image:
          title: Image
          type: string
        input_cache_read:
          title: Input Cache Read
          type: string
        prompt:
          title: Prompt
          type: string
        request:
          title: Request
          type: string
      required:
        - prompt
        - completion
        - image
        - request
        - input_cache_read
      title: Pricing
      type: object

````